Skip to main content

Experiments

View as Markdown

Create and manage experiments, features, and other machine learning artifacts

List Metric History GA

GET /api/2.0/mlflow/metrics/get-history

Gets a list of all values for the specified metric for a given run.

API scopes: mlflow

Parameters

run_idstringquery

ID of the run from which to fetch metric values. Must be provided.

run_uuidstringquery

[Deprecated, use run_id instead] ID of the run from which to fetch metric values. This field will be removed in a future MLflow version.

metric_keystringquery

Name of the metric.

page_tokenstringquery

Token indicating the page of metric histories to fetch.

max_resultsint32query

Maximum number of Metric records to return per paginated request. Default is set to 25,000. If set higher than 25,000, a request Exception will be raised.

Constraints: <= 25000

Response

metricsarray of object

All logged values for this metric if max_results is not specified in the request or if the total count of metrics returned is less than the service level pagination threshold. Otherwise, this is one page of results.

Show child attributesHide child attributes
keystring

The key identifying the metric.

valuedouble

The value of the metric.

timestampint64

The timestamp at which the metric was recorded.

stepint64

The step at which the metric was logged.

Default: 0

dataset_namestring

The name of the dataset associated with the metric. E.g. “my.uc.table@2” “nyc-taxi-dataset”, “fantastic-elk-3”

dataset_digeststring

The dataset digest of the dataset associated with the metric, e.g. an md5 hash of the dataset that uniquely identifies it within datasets of the same name.

model_idstring

The ID of the logged model or registered model version associated with the metric, if applicable.

run_idstring

The ID of the run containing the metric.

next_page_tokenstring

A token that can be used to issue a query for the next page of metric history values. A missing token indicates that no additional metrics are available to fetch.